package br.com.forlinux.teste;

import static org.junit.Assert.*;

import org.junit.Test;

import br.com.forlinux.bean.Email;


public class EmailTeste {

	@Test
	public void testEmailValido(){
		assertEquals("valido", Email.verificaLogin("camilo.lopes@4linux.com.br" ));
		assertEquals("valido", Email.verificaLogin("cam34lopes@4linux.com.br"));
	
	}
	@Test 
	public void testEmailValidoDominioDiferente(){
		assertEquals("valido", Email.verificaLogin("camilo@4linux.net"));
		assertEquals("valido", Email.verificaLogin("opensource@open.org"));
	}
	
	@Test
	public void testEmailInvalidoDominio(){
		assertEquals("invalido", Email.verificaLogin("camilo@"));
	}
	
	@Test
	public void testEmailInvalidoEspaco(){
		assertEquals("invalido", Email.verificaLogin("fernando lozano@4linux.com.br"));
		assertEquals("invalido", Email.verificaLogin("debian@debian .org"));
	}
	
	@Test
	public void testEmailInvalidoSimbolo(){
		assertEquals("invalido", Email.verificaLogin("java$man@4linux.net"));
	}
}
